var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconToolsWorkflowComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-tools_workflow").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("g", null,
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#669AFF', d: "M16.8 0H7.2A7.2 7.2 0 0 0 0 7.2v9.6A7.2 7.2 0 0 0 7.2 24h9.6a7.2 7.2 0 0 0 7.2-7.2V7.2A7.2 7.2 0 0 0 16.8 0Z" }),
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M5.8 5h4.7a.8.8 0 0 1 .8.8v4.7a.8.8 0 0 1-.8.8H5.8a.8.8 0 0 1-.8-.8V5.8a.8.8 0 0 1 .8-.8Zm6.9 8.5a.8.8 0 0 1 .8-.8h4.7a.8.8 0 0 1 .8.8v4.7a.8.8 0 0 1-.8.8h-4.7a.8.8 0 0 1-.8-.8v-4.7Zm-5.085-.783L5.201 15.13a.8.8 0 0 0 0 1.132l2.414 2.414a.8.8 0 0 0 1.132 0l2.414-2.414a.8.8 0 0 0 0-1.132l-2.414-2.414a.8.8 0 0 0-1.132 0ZM19 8.15a3.15 3.15 0 1 1-6.3 0 3.15 3.15 0 0 1 6.3 0Z" })));
}
var IconToolsWorkflow = React.forwardRef(IconToolsWorkflowComponent);
export default IconToolsWorkflow;
